Skip to main content
POST
Create

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-08-17.everglades"

Query Parameters

expand
enum<string>[]

Fields to expand on the device resource.

Available options:
current_deployment,
current_release,
group
Example:

Body

application/json
name
string
required

The name of the device.

Example:

"Robot 1"

Response

200 - application/json

Successfully created the device.

object
enum<string>
required

The object type, which is always device.

Available options:
device
Example:

"device"

id
string
required

ID of the device.

Example:

"dvc_123"

name
string
required

Name of the device.

Example:

"My Device"

description
string | null
required

A free-form description of the device.

Example:

"Welder on line 3"

status
enum<string>
required

The status of the device.

  • Inactive: The miru agent has not yet been installed / authenticated
  • Activating: The miru agent is currently being installed / authenticated (should only last for a few seconds)
  • Online: The miru agent has successfully pinged the server within the last 60 seconds.
  • Offline: The miru agent has not successfully pinged the server within the last 60 seconds (e.g. network issues, device is powered off, etc.)
  • Archived: The device has been archived. The agent's session has been revoked and the device no longer participates in workspace operations. See archived_at for when this occurred.
Available options:
inactive,
activating,
online,
offline,
archived
agent_version
string | null
required

The version of the agent the device is running.

Example:

"v1.0.0"

last_connected_at
string<date-time> | null
required

Timestamp of when the device was last made an initial connection (this is not the same as the last time the device was seen).

Example:

"2021-01-01T00:00:00Z"

last_disconnected_at
string<date-time> | null
required

Timestamp of when the device was last disconnected (this is not the same as the last time the device was seen).

Example:

"2021-01-01T00:00:00Z"

created_at
string<date-time>
required

Timestamp of when the device was created.

Example:

"2021-01-01T00:00:00Z"

updated_at
string<date-time>
required

Timestamp of when the device was last updated.

Example:

"2021-01-01T00:00:00Z"

group_id
string | null
required

ID of the group this device belongs to. Null if the device is unassigned.

Example:

"grp_123"

current_deployment
Deployment · object | null

The current deployment for the device.

Example:
current_release
Release · object | null

The current release for the device.

Example:
group
Group · object | null

The group this device belongs to. Null if the device is unassigned.

Example:
Last modified on August 17, 2026